> ## Documentation Index
> Fetch the complete documentation index at: https://docs.korint.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List product general documents



## OpenAPI

````yaml /openapi.json get /view-specific/{productId}/common-documents
openapi: 3.0.0
info:
  title: Korint Documentation
  description: Korint API Documentation
  version: 1.0.0
  contact: {}
servers: []
security:
  - bearerAuth: []
tags: []
paths:
  /view-specific/{productId}/common-documents:
    get:
      tags:
        - view-specific
      summary: List product general documents
      operationId: ViewSpecificController_listProductCommonDocuments
      parameters:
        - name: productId
          required: true
          in: path
          description: The productId
          schema:
            type: string
        - name: count
          required: false
          in: query
          description: the number of items to return
          schema:
            default: 10
            type: number
        - name: page
          required: false
          in: query
          description: the page to retrieve
          schema:
            default: 1
            type: number
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListProductCommonDocumentsOutput'
components:
  schemas:
    ListProductCommonDocumentsOutput:
      type: object
      properties:
        data:
          description: the list of items in the page
          type: array
          items:
            $ref: '#/components/schemas/DocumentWithSignedUrl'
        pageInfo:
          description: the page info
          allOf:
            - $ref: '#/components/schemas/ResponsePageInfo'
        totalCount:
          type: number
          description: the total number of items
        currentPage:
          type: number
          description: the current page
        totalPages:
          type: number
          description: the total number of pages
      required:
        - data
        - pageInfo
        - totalCount
        - currentPage
        - totalPages
    DocumentWithSignedUrl:
      type: object
      properties:
        metadata:
          description: metadata assigned to the object
          type: array
          items:
            $ref: '#/components/schemas/Metadata'
        id:
          type: string
          description: the id of the document
        name:
          type: string
          description: the name of the document
        path:
          type: string
          description: the path from Korint CDNof the document
        createdAt:
          format: date-time
          type: string
          description: the date of creation of the document
        signedUrl:
          type: string
          description: the signed url to download the document
      required:
        - metadata
        - id
        - name
        - path
        - createdAt
        - signedUrl
    ResponsePageInfo:
      type: object
      properties:
        first:
          type: boolean
          description: whether this is the first page
        last:
          type: boolean
          description: whether this is the last page
    Metadata:
      type: object
      properties:
        key:
          type: string
          description: the key of the metadata
        value:
          type: string
          description: the value of the metadata
      required:
        - key
        - value

````